diff --git a/src/backend/utils/adt/pgstatfuncs.c b/src/backend/utils/adt/pgstatfuncs.c
index 96bffc0f2a..63e8f15c59 100644
--- a/src/backend/utils/adt/pgstatfuncs.c
+++ b/src/backend/utils/adt/pgstatfuncs.c
@@ -60,6 +60,8 @@ pg_stat_get_lastscan(PG_FUNCTION_ARGS)
 
 	if ((tabentry = pgstat_fetch_stat_tabentry(relid)) == NULL)
 		PG_RETURN_NULL();
+	else if (tabentry->lastscan == 0)
+		PG_RETURN_NULL();
 	else
 		PG_RETURN_TIMESTAMPTZ(tabentry->lastscan);
 }
